_SETTINGS:SetPlayerMenuOff()

local tankerWashington=RECOVERYTANKER:New("CARRIER USS George Washington 336.2", "Shell Washington")
tankerWashington:SetTakeoffAir()
tankerWashington:SetRadio(138.300)
tankerWashington:SetModex(511)
tankerWashington:SetTACAN(43,"SL3")
tankerWashington:__Start(1)

local pedroWashington=RESCUEHELO:New("CARRIER USS George Washington 336.2", "Pedro Washington")
pedroWashington:SetHomeBase(AIRBASE:FindByName("USS Port Royal3"))
pedroWashington:SetModex(44)
pedroWashington:__Start(1)
  
local airbossWashington=AIRBOSS:New("CARRIER USS George Washington 336.2")
airbossWashington:SetSoundfilesFolder("Airboss Soundfiles/")
airbossWashington:SetDespawnOnEngineShutdown()
airbossWashington:SetMaxFlightsPerStack(1)
airbossWashington:SetMaxMarshalStacks(20)
airbossWashington:SetMaxSectionSize(4)
airbossWashington:SetLSORadio(336.400)
airbossWashington:SetMarshalRadio(336.200)
airbossWashington:SetICLS(13)
airbossWashington:SetTACAN(73,"X","GEW")
airbossWashington:SetHandleAIOFF()
airbossWashington:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossWashington:SetAirbossNiceGuy(true)
airbossWashington:SetEmergencyLandings(true)
airbossWashington:SetPatrolAdInfinitum(true)
airbossWashington:SetCarrierControlledArea(50)
airbossWashington:SetMenuRecovery(60, 25, true, 0)
airbossWashington:SetRadioRelayLSO("Relay Washington")
airbossWashington:SetHoldingOffsetAngle(0)
airbossWashington:Start()

function tankerWashington:OnAfterStart(From,Event,To)
  airbossWashington:SetRecoveryTanker(tankerWashington)  
end

function pedroWashington:OnAfterStart(From,Event,To)
  airbossWashington:SetRadioRelayMarshal(self:GetUnitName())
end